Bug 314260 - Large .tif files are not loaded
Summary: Large .tif files are not loaded
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-DImg-TIFF (show other bugs)
Version: 3.0.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-01 17:31 UTC by philippe.quaglia
Modified: 2021-05-07 13:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.1.0


Attachments
Only smaller files preview are displayed, hovewer even the files which are correctly previewed failed to be loaded by the editor (509.52 KB, image/png)
2013-02-01 17:39 UTC, philippe.quaglia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description philippe.quaglia 2013-02-01 17:31:14 UTC
I do have a lot of files to test Digikam. It seems that the large .tif files are not loaded, neither in the preview nor in the editor. The preview shows a broken file, the editor says «failed to load image». This files are however correctly handled in digikam 2.8.0.
The files above 20 Mib are not loaded, while the files below this size are correctly displayed in the preview, but not in the editor, which gives the same error «failed to load image».


Reproducible: Always

Steps to Reproduce:
1. Open Digikam
2. Open a directory with large .tif files
3. Try to open one of the large .tif file
Actual Results:  
Can not open file

Expected Results:  
Files can be handled

I will try to attach two screen captures illustrating the problem.
Comment 1 philippe.quaglia 2013-02-01 17:39:55 UTC
Created attachment 76863 [details]
Only smaller files preview are displayed, hovewer even the files which are correctly previewed failed to be loaded by the editor
Comment 2 caulier.gilles 2013-02-01 17:41:37 UTC
Here i play with 150 Mb tiff files without any problem... 

Can you share a broken TIFF file to test on my computer ?

Gilles Caulier
Comment 3 philippe.quaglia 2013-02-02 09:49:09 UTC
Here are the links to three files, which are depicted in the screenshot 
that was attached with the bug report.
They work perfectly with digikam 2.8.0

http://ubuntuone.com/3ev13ogudUeaLkDTfwxO5d
http://ubuntuone.com/19URE3OqyBgmCSmaI8Ulkk
http://ubuntuone.com/5CQBJm1GA85QIzEeNynx1q

Best regards


Le 01/02/2013 18:41, Gilles Caulier a écrit :
> https://bugs.kde.org/show_bug.cgi?id=314260
>
> Gilles Caulier <caulier.gilles@gmail.com> changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |caulier.gilles@gmail.com
>
> --- Comment #2 from Gilles Caulier <caulier.gilles@gmail.com> ---
> Here i play with 150 Mb tiff files without any problem...
>
> Can you share a broken TIFF file to test on my computer ?
>
> Gilles Caulier
>
Comment 4 caulier.gilles 2013-02-02 10:13:07 UTC
No problem here :

http://www.flickr.com/photos/digikam/8436823485/sizes/o/in/photostream/

I use Libtiff 4.0.1. My computer has 16Gb of RAM...

Gilles Caulier
Comment 5 philippe.quaglia 2013-02-02 10:23:45 UTC
Thanks for the test.
May be it is a problem of memory ? My computer as 8 Gb of memory, but 
I'm running Digikam 3 in a virtual machine, and I think it as only 1Gb 
memory allocated.
I do not know which version of Libtiff is used. How can I learn that ?
Regards.

Le 02/02/2013 11:13, Gilles Caulier a écrit :
> https://bugs.kde.org/show_bug.cgi?id=314260
>
> --- Comment #4 from Gilles Caulier <caulier.gilles@gmail.com> ---
> No problem here :
>
> http://www.flickr.com/photos/digikam/8436823485/sizes/o/in/photostream/
>
> I use Libtiff 4.0.1. My computer has 16Gb of RAM...
>
> Gilles Caulier
>
Comment 6 philippe.quaglia 2013-02-03 14:50:35 UTC
Here are the libraries used in this version of Digikam: 

digiKam version 3.0.0
Exiv2 can write to Jp2: Yes
Exiv2 can write to Jpeg: Yes
Exiv2 can write to Pgf: Yes
Exiv2 can write to Png: Yes
Exiv2 can write to Tiff: Yes
Exiv2 supports XMP metadata: Yes
LibCImg: 130
LibClapack: internal library
LibExiv2: 0.23
LibJPEG: 80
LibJasper: 1.900.1
LibKDE: 4.9.4
LibKExiv2: 2.3.0
LibKGeoMap: 2.0.0
LibKdcraw: 2.2.0
LibLCMS: 119
LibLensFun: 0.2.6-0
LibLqr: internal library
LibPGF: 6.12.27 - internal library
LibPNG: 1.2.49
LibQt: 4.8.3
LibRaw: 0.15.0-Beta3
LibTIFF: LIBTIFF, Version 4.0.2 Copyright (c) 1988-1996 Sam Leffler Copyright (c) 1991-1996 Silicon Graphics, Inc.
Marble Widget: 0.14.4 (stable release)
Parallelized PGF codec: No
Parallelized demosaicing: No
RawSpeed codec support: No
Database backend: QSQLITE
Kipi-Plugins: 3.0.0
LibGphoto2: 2.4.14
LibKface: 2.0.0
LibKipi: 2.0.0
LibOpenCV: 2.3.1
Libface: 0.2

It looks like Libtiff 4.0.2 is used. May be somethings comes from an other library ?

Moreover, here are the error messages I get in the console during the preview. Looks like a memory problem: 
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 737912840 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_00.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_00.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 742107016 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_01.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_01.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 737388568 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_02.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_02.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 737912840 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_00.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_00.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 662548740 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_03.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_03.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 742107016 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_01.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_01.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 737388568 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_02.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_02.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 662548740 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_03.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_03.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 655864272 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 655864272 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_04.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_04.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 738699248 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_05.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_05.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_04.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_04.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 738699248 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_05.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_05.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 714189532 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_06.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_06.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 742107016 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 714189532 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_06.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_06.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_07.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_07.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 738830316 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_08.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_08.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 734636140 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 742107016 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_07.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_07.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_09.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_09.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 738830316 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_08.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_08.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 734636140 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_09.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_09.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 727165264 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_10.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_10.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 727165264 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_10.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 738043908 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_12.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_12.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 742107016 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_10.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_13.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_13.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 738961384 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_17.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_17.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 739354588 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_18.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_18.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 688762340 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_19.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_19.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 738043908 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_12.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_12.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 742107016 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 732801188 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_20.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_20.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_13.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_13.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 738961384 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_17.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_17.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 739354588 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_18.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_18.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 688762340 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_19.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_19.tif" 
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 


And if I try to load an image in the editor, here is what I get:
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_01.tif" 
digikam(2258)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/philippe/Images/TestsTif/Numb03_01.tif" 
digikam(2258)/digikam (core): Not enough memory to allocate buffer of size 742107016 
digikam(2258)/digikam (core) Digikam::EditorCore::getImg: d->image is NULL 
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 


Hope this helps...
Philippe
Comment 7 caulier.gilles 2013-02-03 15:18:44 UTC
It's clear. You don't have enough RAM to allocate space to load image data in memory...
Gilles Caulier
Comment 8 caulier.gilles 2013-02-21 19:53:29 UTC
Marcel,

I can reproduce a similar dysfunction under MACOSX when i want to load a large panorama JPEG image :

digikam(15314)/digikam (core) Digikam::DImg::load: "/Users/gilles/Pictures/Photos/DORDOGNE/2012-08-15/pano4/panorama_v1.jpg"  : JPEG file identified
digikam(15314)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  "<?xml version="1.0"?>
<history version="1">
    <file uuid="21a3d2bae6d51df7cfcadab25bf965233b90c6ec8b62a4faad00e6cfa96939ee" type="original">
        <fileParams fileName="panorama.jpg" filePath="/mnt/data/Photos/DORDOGNE/2012-08-15/pano4/" fileHash="3b90c6ec8b62a4faad00e6cfa96939ee" fileSize="14630711" creationDate="2012-08-15T15:38:48"/>
    </file>
    <filter filterName="transform:crop" filterDisplayName="Crop" filterVersion="1" filterCategory="reproducible" branch="true">
        <params>
            <param name="height" value="3628"/>
            <param name="width" value="10420"/>
            <param name="x" value="7"/>
            <param name="y" value="822"/>
        </params>
    </filter>
</history>
"
digikam(15314)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("mer. août 15 15:38:48 2012")
digikam(15314)/digikam (core): Not enough memory to allocate buffer of size 151215040 
digikam(15314)/digikam (core) Digikam::JPEGLoader::load: Cannot allocate memory!
digikam(15314)/digikam (core) *Digikam::EditorCore::getImg: d->image is NULL 

My Macbook pro has 8Gb of RAM !

This image can be open under Linux without any problem...

Where/how i can debug this dysfunction ?

Gilles Caulier
Comment 9 caulier.gilles 2013-02-21 20:30:21 UTC
Marcel,

There is a bug certainly into KMemoryInfo class. I add more debug info with this commit :

http://commits.kde.org/digikam/5fe874639691b5572655a65e05bd6c8d2dbf0242

... and now i can see this in the console :

digikam(20929)/digikam (core): Not enough memory to allocate buffer of size  211587304 
digikam(20929)/digikam (core): Available memory size is  -1 
digikam(20929)/digikam (core) Digikam::JPEGLoader::load: Cannot allocate memory!
digikam(20929)/digikam (core) *Digikam::EditorCore::getImg: d->image is NULL 

==> Available memory size is  -1

This is abnormal...

Gilles Caulier
Comment 10 caulier.gilles 2013-02-21 20:49:58 UTC
Marcel,

In KMemoryInfo class instance used in DImgLoader, this instance is valid but memory info cannot be filled. I set more debug info by this commit :

http://commits.kde.org/digikam/fc688c4a4bd59ea27b7bce6f7d0ab84ae1c8473b

... and debug trace is this one :

digikam(26432)/digikam (core) Digikam::KMemoryInfo::bytes: AvailableRam:  -1  (cache:  -1 )
digikam(26432)/digikam (core): Not enough memory to allocate buffer of size  211587304 
digikam(26432)/digikam (core): Available memory size is  -1 
digikam(26432)/digikam (core) Digikam::JPEGLoader::load: Cannot allocate memory!
digikam(26432)/digikam (core) *Digikam::EditorCore::getImg: d->image is NULL 

... as you can see, no info is filled by this memory parser...

Gilles Caulier
Comment 11 caulier.gilles 2013-02-22 13:14:35 UTC
Git commit b29bbdfd46df01dccac6058a7a2860cd84026caa by Gilles Caulier.
Committed on 22/02/2013 at 14:07.
Pushed by cgilles into branch 'master'.

new behavor about KMemoryInfo:
Check if memory info from current platform is supported or not (for ex, MacOSX is not support)
If not, -1 is returned from memory parser. In this case, digiKam will try to continue to allocate memory. An error message is printed to the console as debug statement.
If yes, we try to check memory info. If an error occur, 0 is returned, else 1.

This will solve multiple issues from bugzilla about non show large images in preview or editor, if memory allocation to store decompressed pixels data is more than 100Mb
Related: bug 303217

M  +6    -6    libs/3rdparty/kmemoryinfo/kmemoryinfo.cpp
M  +5    -2    libs/3rdparty/kmemoryinfo/kmemoryinfo.h
M  +80   -44   libs/3rdparty/kmemoryinfo/kmemoryinfo_backend.cpp
M  +10   -3    libs/dimg/loaders/dimgloader.cpp
M  +15   -2    libs/dimg/loaders/dimgloader.h

http://commits.kde.org/digikam/b29bbdfd46df01dccac6058a7a2860cd84026caa
Comment 12 caulier.gilles 2013-02-22 13:15:59 UTC
Philippe, 

Can you checkout current implementation from git/master (next 3.1.0) in your virtual machine and try again. My last commit must fix your issue.

Gilles Caulier
Comment 13 philippe.quaglia 2013-02-23 14:15:47 UTC
Hello Gilles
I have build a new version of digikam with the latest code from Git, 
(version 3.1.0-git) but it seems I get the same errors when loading big 
tiff files.
Here are the error messages I get:




philippe@philippe-VirtualBox:~/digikam-software-compilation/build$ digikam
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is 
still in use, all queries will cease to work.
Connecting to deprecated signal 
QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
QDBusConnection: session D-Bus connection created before 
QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before 
QCoreApplication. Application may misbehave.
kbuildsycoca4 running...
kbuildsycoca4(9869)/kdecore (services) KServicePrivate::init: The 
desktop entry file "/usr/share/applications/unity-lens-video.desktop"  
has Type= "Application"  but no Exec line

kbuildsycoca4(9869) KBuildServiceFactory::createEntry: Invalid Service 
:  "/usr/share/applications/unity-lens-video.desktop"
kbuildsycoca4(9869)/kdecore (services) KServicePrivate::init: The 
desktop entry file "/usr/share/applications/unity-lens-photos.desktop"  
has Type= "Application"  but no Exec line

kbuildsycoca4(9869) KBuildServiceFactory::createEntry: Invalid Service 
:  "/usr/share/applications/unity-lens-photos.desktop"
kbuildsycoca4(9869)/kdecore (services) KServicePrivate::init: The 
desktop entry file "/usr/share/applications/unity-scope-gdocs.desktop"  
has Type= "Application"  but no Exec line

kbuildsycoca4(9869) KBuildServiceFactory::createEntry: Invalid Service 
:  "/usr/share/applications/unity-scope-gdocs.desktop"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  737912840
digikam(9845)/digikam (core): Available memory size is  544555008
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  737912840
digikam(9845)/digikam (core): Available memory size is  544555008
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_00.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_00.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_00.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_00.tif"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  742107016
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  742107016
digikam(9845)/digikam (core): Available memory size is  543186944
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_01.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_01.tif"
digikam(9845)/digikam (core): Available memory size is  543313920
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_01.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_01.tif"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  737388568
digikam(9845)/digikam (core): Available memory size is  542732288
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_02.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_02.tif"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  737388568
digikam(9845)/digikam (core): Available memory size is  542732288
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_02.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_02.tif"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  662548740
digikam(9845)/digikam (core): Available memory size is  542728192
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_03.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_03.tif"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  662548740
digikam(9845)/digikam (core): Available memory size is  540442624
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_03.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_03.tif"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  655864272
digikam(9845)/digikam (core): Available memory size is  541941760
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_04.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_04.tif"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  655864272
digikam(9845)/digikam (core): Available memory size is  541941760
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_04.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_04.tif"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  738699248
digikam(9845)/digikam (core): Available memory size is  540954624
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  738699248
digikam(9845)/digikam (core): Available memory size is  540954624
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_05.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_05.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_05.tif"
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_05.tif"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  714189532
digikam(9845)/digikam (core): Available memory size is  537473024
digikam(9845)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_06.tif"
digikam(9845)/digikam (core): Not enough memory to allocate buffer of 
size  714189532



Le 22/02/2013 14:15, Gilles Caulier a écrit :
> https://bugs.kde.org/show_bug.cgi?id=314260
>
> --- Comment #12 from Gilles Caulier <caulier.gilles@gmail.com> ---
> Philippe,
>
> Can you checkout current implementation from git/master (next 3.1.0) in your
> virtual machine and try again. My last commit must fix your issue.
>
> Gilles Caulier
>
Comment 14 caulier.gilles 2013-02-23 14:31:24 UTC
Philipe, 

Are you sure to use 3.1.0 version from git/master. Because, i cannot see debug message that i have added recently, especially to see which platform is detected by memory wrapper. Something like this :


digikam(10268)/digikam (core) Digikam::DImg::load: "/mnt/data/photos/GILLES/NEW/SALAGOU/2012-08-19/Pano1/panorama.jpg"  : JPEG file identified
digikam(10268)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(10268)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("dim. août 19 12:05:30 2012")
digikam(10268)/digikam (core) Digikam::KMemoryInfo::update: Platform identified :  "LINUX"
digikam(10268)/digikam (core) Digikam::KMemoryInfo::bytes: AvailableRam:  332304384  (cache:  12215226368 )
digikam(10268)/digikam (core) Digikam::KMemoryInfo::bytes: AvailableSwap:  10478301184
digikam(10268)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(10268)/digikam (core) Digikam::KMemoryInfo::update: Platform identified :  "LINUX"
digikam(10268)/digikam (core) Digikam::KMemoryInfo::bytes: AvailableRam:  163094528  (cache:  11953692672 )
digikam(10268)/digikam (core) Digikam::KMemoryInfo::bytes: AvailableSwap:  10478301184
digikam(10268)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1

Look lines with KMemoryInfo. here a 120Mpx panorama JPEG file is loaded in editor...

Gilles
Comment 15 philippe.quaglia 2013-02-24 13:42:13 UTC
Hello Gilles,

please find here below a screencopy of the information windows of 
digikam I'm running in my VM. It clearly confirms that it is version 
3.1.0-git.
I get it by doing a «perl gits pull» as mentionned in the guide for 
compiling digikam for dummies, and doing all the compilation chain then.
Please find after this image the associated error messages.
Best regards.





Here are the associated error messages I get in the console:

philippe@philippe-VirtualBox:~$ digikam
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is 
still in use, all queries will cease to work.
Connecting to deprecated signal 
QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
QDBusConnection: session D-Bus connection created before 
QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before 
QCoreApplication. Application may misbehave.
kbuildsycoca4 running...
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  737912840
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  737912840
digikam(2030)/digikam (core): Available memory size is  503255040
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_00.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_00.tif"
digikam(2030)/digikam (core): Available memory size is  503255040
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_00.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_00.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  742107016
digikam(2030)/digikam (core): Available memory size is  501833728
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_01.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_01.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  742107016
digikam(2030)/digikam (core): Available memory size is  501833728
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_01.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_01.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  737388568
digikam(2030)/digikam (core): Available memory size is  498855936
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  737388568
digikam(2030)/digikam (core): Available memory size is  498855936
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_02.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_02.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_02.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_02.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  662548740
digikam(2030)/digikam (core): Available memory size is  500867072
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_03.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_03.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  662548740
digikam(2030)/digikam (core): Available memory size is  500867072
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_03.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_03.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  655864272
digikam(2030)/digikam (core): Available memory size is  500031488
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  655864272
digikam(2030)/digikam (core): Available memory size is  498507776
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_04.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_04.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_04.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_04.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  738699248
digikam(2030)/digikam (core): Available memory size is  499630080
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_05.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  738699248
digikam(2030)/digikam (core): Available memory size is  499757056
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_05.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_05.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_05.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  714189532
digikam(2030)/digikam (core): Available memory size is  497143808
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_06.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_06.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  714189532
digikam(2030)/digikam (core): Available memory size is  497143808
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_06.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_06.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  742107016
digikam(2030)/digikam (core): Available memory size is  495566848
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  742107016
digikam(2030)/digikam (core): Available memory size is  495566848
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_07.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_07.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_07.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_07.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  738830316
digikam(2030)/digikam (core): Available memory size is  494927872
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_08.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_08.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  738830316
digikam(2030)/digikam (core): Available memory size is  494817280
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_08.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_08.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  734636140
digikam(2030)/digikam (core): Available memory size is  494596096
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_09.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_09.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  734636140
digikam(2030)/digikam (core): Available memory size is  494596096
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_09.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_09.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  727165264
digikam(2030)/digikam (core): Available memory size is  494301184
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_10.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_10.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  727165264
digikam(2030)/digikam (core): Available memory size is  494301184
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_10.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_10.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  738043908
digikam(2030)/digikam (core): Available memory size is  492474368
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_12.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_12.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  738043908
digikam(2030)/digikam (core): Available memory size is  491966464
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_12.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_12.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  742107016
digikam(2030)/digikam (core): Available memory size is  492126208
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_13.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_13.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  742107016
digikam(2030)/digikam (core): Available memory size is  491724800
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_13.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_13.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  738961384
digikam(2030)/digikam (core): Available memory size is  487911424
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_17.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_17.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  739354588
digikam(2030)/digikam (core): Available memory size is  490369024
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_18.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_18.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  688762340
digikam(2030)/digikam (core): Available memory size is  489967616
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_19.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_19.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  732801188
digikam(2030)/digikam (core): Available memory size is  489103360
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_20.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_20.tif"
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  738961384
digikam(2030)/digikam (core): Available memory size is  488521728
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_17.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_17.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  739354588
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
digikam(2030)/digikam (core): Available memory size is  488267776
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_18.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_18.tif"
digikam(2030)/digikam (core): Not enough memory to allocate buffer of 
size  688762340
digikam(2030)/digikam (core): Available memory size is  488267776
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: 
Cannot create thumbnail for  "/home/philippe/Images/TestsTif/Numb03_19.tif"
digikam(2030)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail 
is null for "/home/philippe/Images/TestsTif/Numb03_19.tif"
QSocketNotifier: Invalid socket 14 and type 'Read', disabling...
QSocketNotifier: Invalid socket 14 and type 'Read', disabling...
QSocketNotifier: Invalid socket 14 and type 'Read', disabling...




Le 23/02/2013 15:31, Gilles Caulier a écrit :
> https://bugs.kde.org/show_bug.cgi?id=314260
>
> --- Comment #14 from Gilles Caulier <caulier.gilles@gmail.com> ---
> Philipe,
>
> Are you sure to use 3.1.0 version from git/master. Because, i cannot see debug
> message that i have added recently, especially to see which platform is
> detected by memory wrapper. Something like this :
>
>
> digikam(10268)/digikam (core) Digikam::DImg::l
Comment 16 caulier.gilles 2013-02-24 13:51:23 UTC
Phillipe,

Look values printed :

Not enough memory to allocate buffer of size  742107016
Available memory size is  501833728

You try to allocate more than physical memory.

Just tune your VM to take 1Gb of RAM instead 500Mb

Gilles Caulier
Comment 17 philippe.quaglia 2013-02-25 18:33:26 UTC
Hello,
the amount of memory allocated to my VM was already 1024 MB. I have 
increased it to 2048 MB, and now it works fine, all the images are 
properly loaded, as thumbnails and in the editor.
However, I have the following messages in the console:

philippe@philippe-VirtualBox:~$ digikam
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is 
still in use, all queries will cease to work.
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action
void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, 
QMenu*, int, int, const QStringList&): No id for action


Best regards.


Le 24/02/2013 14:51, Gilles Caulier a écrit :
> https://bugs.kde.org/show_bug.cgi?id=314260
>
> --- Comment #16 from Gilles Caulier <caulier.gilles@gmail.com> ---
> Phillipe,
>
> Look values printed :
>
> Not enough memory to allocate buffer of size  742107016
> Available memory size is  501833728
>
> You try to allocate more than physical memory.
>
> Just tune your VM to take 1Gb of RAM instead 500Mb
>
> Gilles Caulier
>
Comment 18 caulier.gilles 2013-02-25 19:45:12 UTC
==> QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is 
still in use, all queries will cease to work.

This one come from Qt SQl driver, not digiKam. You can forget it. It appear also on my computer.

Gilles Caulier